import { ButtonHTMLAttributes, CSSProperties, ReactNode } from "react";
export type ButtonProps = ButtonHTMLAttributes<HTMLButtonElement> & {
    children: ReactNode;
    disabledStyle?: CSSProperties;
    type?: "reset" | "submit" | "button";
};
declare const Button: ({ children, style, disabledStyle, type, ...buttonProps }: ButtonProps) => JSX.Element;
export default Button;
